Bug 1282602 - [Docs] [Director] fence_ipmilan example is confusing/mistaken
[Docs] [Director] fence_ipmilan example is confusing/mistaken
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity medium
: async
: 8.0 (Liberty)
Assigned To: Martin Lopes
Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-16 16:02 EST by Ken Gaillot
Modified: 2016-08-28 20:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-28 20:21:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Gaillot 2015-11-16 16:02:46 EST
Description of problem: The "Director Installation and Usage" documentation for RHEL OSP 7 at https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html-single/Director_Installation_and_Usage/index.html has incorrect/confusing information in the "Fencing the Controller Nodes" section:

There are three examples starting with "sudo pcs stonith create". The third example has a mistake: "ipaddr=192.0.2.206" should be "ipaddr=192.0.2.207". Also, they are confusing in that the nodes being fenced are named 0/1/2, but the fence devices are named 1/2/3. We should use more consistent names, e.g. "fence-overcloud-controller-0" instead of "my-ipmilan-for-controller01".

Also, the note after these examples, "The second command in each example ensures the node does not fence itself.", apparently is not obvious to readers. I'm not sure what the best approach is. Perhaps the note could be moved after the first example. I would make one slight change to the note text, "... the node is not asked to fence itself."

Version-Release number of selected component (if applicable): 7 (I did not check whether the bug appears in the documentation for later versions)

How reproducible: Documentation bug only.
Comment 2 Andrew Dahms 2016-08-11 20:56:07 EDT
Assigning to Martin for review.
Comment 6 Martin Lopes 2016-08-16 01:15:15 EDT
Backported updates to OSP8 and OSP7.
Tested build sucessfully.
Comment 7 Martin Lopes 2016-08-16 01:22:17 EDT
As per comment 5, moving bug to `Verified`.

Note You need to log in before you can comment on or make changes to this bug.